import type { InitialInputs } from "./InitialInputs";
import type { ObjectInputPaths, PackageReference, EmptyInitialValue } from "@octopusdeploy/step-inputs";
import type { AvailableStepComponents } from "./AvailableComponents";
import type { FormContent } from "./FormContent";
import type { StepInputComponent } from "./InputComponents";
export interface StepUI<StepInputs> {
    editInputsForm: EditStepInputsForm<StepInputs>;
    createInitialInputs: (initialInputFactories: StepInitialInputFactories) => InitialInputs<StepInputs>;
}
export interface StepInitialInputFactories extends EmptyInitialInputFactories {
    createEmptyPackageReference: () => PackageReference;
}
export interface EmptyInitialInputFactories {
    emptyInitialValue: EmptyInitialValue;
}
export declare type EditStepInputsForm<StepInputs> = (inputPaths: ObjectInputPaths<StepInputs>, availableComponents: AvailableStepComponents) => FormContent<StepInputComponent>[];
