import type { SensitiveTextFactory } from "./SensitiveText";
import type { TextFactory } from "./Text";
import type { PackageSelectorFactory } from "./PackageSelector";
import type { RadioButtonsFactory } from "./RadioButtons";
import type { SectionFactory } from "./Section";
import type { SectionGroupFactory } from "./SectionGroup";
import type { ListFactory } from "./List";
import type { StepInputComponent } from "./InputComponents";
import type { DeploymentTargetInputComponent } from "./InputComponents";
import type { AccountSelectorFactory } from "./Account";
import type { ContainerImageSelectorFactory } from "./ContainerImageSelector";
import type { CheckboxFactory } from "./Checkbox";

export interface AvailableStepComponents {
    sensitiveText: SensitiveTextFactory;
    text: TextFactory;
    packageSelector: PackageSelectorFactory;
    containerImageSelector: ContainerImageSelectorFactory;
    radioButtons: RadioButtonsFactory;
    section: SectionFactory<StepInputComponent>;
    sectionGroup: SectionGroupFactory<StepInputComponent>;
    list: ListFactory;
    checkbox: CheckboxFactory;
}

export interface AvailableDeploymentTargetComponents {
    sensitiveText: SensitiveTextFactory;
    text: TextFactory;
    radioButtons: RadioButtonsFactory;
    section: SectionFactory<DeploymentTargetInputComponent>;
    sectionGroup: SectionGroupFactory<DeploymentTargetInputComponent>;
    account: AccountSelectorFactory;
    checkbox: CheckboxFactory;
}
